package com.ym.mec.biz.dal.dto;


import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * 机构付款记录表(TenantOrderRecord)表实体类
 *
 * @author hgw
 * @since 2021-12-20 10:08:28
 */
@ApiModel(value = "机构付款记录表")
public class TenantOrderRecordDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "机构产品设置表id,多个id用逗号分割")
    private String tenantId;

    @TableField("order_no_")
    @ApiModelProperty(value = "订单流水")
    private String orderNo;

    @TableField("trans_no_")
    @ApiModelProperty(value = "支付编号")
    private String transNo;

    /**
     * TenantOrderRecordEnum.class
     */
    @TableField("order_type_")
    @ApiModelProperty(value = "订单类型/机构开通缴费、续费、充值、激活团练宝")
    private String orderType;

    @TableField("order_state_")
    @ApiModelProperty(value = "订单状态/0待支付、1已支付")
    private Integer orderState;

    @ApiModelProperty(value = "开始时间")
    private String startDate;

    @ApiModelProperty(value = "结束时间")
    private String endDate;

    @ApiModelProperty(value = "页数")
    private Integer page;

    @ApiModelProperty(value = "每页数量")
    private Integer rows;

    @ApiModelProperty(value = "关键字")
    private String search;

    private List<String> tenantIdList;

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getTransNo() {
        return transNo;
    }

    public void setTransNo(String transNo) {
        this.transNo = transNo;
    }

    public String getOrderType() {
        return orderType;
    }

    public void setOrderType(String orderType) {
        this.orderType = orderType;
    }

    public Integer getOrderState() {
        return orderState;
    }

    public void setOrderState(Integer orderState) {
        this.orderState = orderState;
    }

    public String getStartDate() {
        return startDate;
    }

    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    public String getEndDate() {
        return endDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }

    public Integer getPage() {
        return page;
    }

    public void setPage(Integer page) {
        this.page = page;
    }

    public Integer getRows() {
        return rows;
    }

    public void setRows(Integer rows) {
        this.rows = rows;
    }

    public String getSearch() {
        return search;
    }

    public void setSearch(String search) {
        this.search = search;
    }

    public List<String> getTenantIdList() {
        return tenantIdList;
    }

    public void setTenantIdList(List<String> tenantIdList) {
        this.tenantIdList = tenantIdList;
    }
}

